<?php $r="../";
require_once($r."inc/funciones.php");
validNotSession($r);
$mysqli = connectDB($r);
$idproducto=$_POST['producto'];
$cantidad=$_POST['cantidad'];
$presentacion=$_POST['present'];
$precio=$_POST['precio'];

$infoproducto = info('producto, iva','z_productos',$idproducto);
$producto=$infoproducto['producto'];
$iva=$infoproducto['iva'];

$row7=$mysqli->query("SELECT cantidad FROM z_inventario WHERE idproducto='$idproducto' ORDER BY id DESC");
$row8=$row7->fetch_assoc();
$icant=$row8['cantidad'];
$icant2=int().$row8['cantidad']+0.001;

$subtotal=$cantidad * $precio;

$array[] = array('rid'=>$idproducto,'rpro'=>$producto,'rpre'=>$precio,'rcan'=>$cantidad,'rtotid'=>$subtotal,'riva'=>$iva,'rbod'=>$icant,'bod'=>$icant2);
echo json_encode( $array ); 
exit(); 
?>